Subject: Re: Modifying a bare repo directly

From: Eric Wong <[email-masked]>
Date: Mon, 10 Apr 2017 18:22:09 +0000

Julian Goacher <[email-masked]> wrote:
> Is it possible to modify a bare repo directly? e.g. is it possible to
> insert a file into a bare repo without first cloning a non-bare copy?
> I'm thinking along the lines of a command or sequence of commands that
> modifies the file index and then copies the file blob into /objects,
> but in a situation where the new file exists separately from the
> target repo.

Yes.  You can use the commands Ævar and Jeff talked about as
(those are probably the easiest).  "git fast-import" is also
great to avoid using an index entirely; it can be much faster
for mass modifications.